Subject: bug#27007: closed (Re: bug#27007: [PATCH v2 2/2] doc: Adapt to multiple bootloader support.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Jun 2017 14:34:02 +0000

Your bug report

#27007: 'menu-entry' disappeared from the bootloader API

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27007: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27007
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27007: [PATCH v2 2/2] doc: Adapt to multiple bootloader support.
From: Mathieu Othacehe <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Jun 2017 16:33:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> In the future, I think it’ll be preferable to commit code/tests/doc
> together.  That is, in the commit that changes the API from being
> GRUB-specific to supporting multiple bootloaders, we include not only
> the code but also the doc update.  This simplifies review, makes sure
> each commit is self-contained, and ensure that users get consistent
> documentation.

Yes I noticed this has confused some users, sorry for that :(.

I pushed the two commits.

Thanks,

Mathieu

Subject: boot-parameters are not documented
From: Tomáš Čech <[email-masked]>
To: [email-masked]
Date: Sat, 20 May 2017 22:00:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm running from GIT with HEAD on 12eecbf0bb798f99454a46c191bb0ec6bdef1aa5.

It seems that menu-entry is still described in documentation

doc/guix.texi:15337

but code seems to abandon the use already in favor of boot-parameters
at least to my level of understanding.

My question without answer is - how can I specify bootloader menu entries now?

TIA,

S_W